Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231136 - [PATCH]: use 2b-style AFS tickets even if KerberosIV support is enabled
Summary: [PATCH]: use 2b-style AFS tickets even if KerberosIV support is enabled
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pam_krb5
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 249559
TreeView+ depends on / blocked
 
Reported: 2007-03-06 14:11 UTC by Jan Iven
Modified: 2018-10-19 22:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-15 20:46:53 UTC


Attachments (Terms of Use)
new option "prefer_2b" (deleted)
2007-03-06 14:11 UTC, Jan Iven
no flags Details | Diff

Description Jan Iven 2007-03-06 14:11:55 UTC
We see several unsuccessful attempts for AFS service tickets on our KDC per
login, and are trying to reduce these. Our AFS tickets are of the form
"afs@REALM.COM" (i.e. no AFS cell as the instance).

The patch adds a new private option "prefer_2b":

Even with Kerberos IV-support enabled, still try to use the 2b-style
service tickets based on KerberosV instead of using the
KerberosIV-based ones. 

This is the equivalent of giving "-5" to the afs5log command. The effect is to
reduce the number of failed attempts from 9 to 3 (different encoding types are
tried for realm-instance tickets, patch for that follows as well).

The patch is against 2.2.8, I can rework it against other versions if required.

Best regards

Comment 1 Jan Iven 2007-03-06 14:11:55 UTC
Created attachment 149335 [details]
new option "prefer_2b"

Comment 2 RHEL Product and Program Management 2007-07-06 18:06:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Nalin Dahyabhai 2008-02-15 20:46:53 UTC
When rxk5 becomes available, we're going to have three different ways for
formatting tokens, and at that point I don't think boolean options are going to
provide enough flexibility to set the preferred order in which the various
methods should be tried.  I'm working this out in the development stream, but I
doubt it'll make sense to backport the result to pam_krb5's 2.1 branch. 
Deferring this -- the whole rxk5 thing'd have to be sorted out in RHEL 5 before
I'd feel confident about adding changing RHEL 4.


Note You need to log in before you can comment on or make changes to this bug.